// LayerAdd.cpp : implementation file
//

#include "stdafx.h"
#include "UnsDis.h"
#include "LayerAdd.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLayerAdd dialog


CLayerAdd::CLayerAdd(CWnd* pParent /*=NULL*/)
	: CDialog(CLayerAdd::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLayerAdd)
	m_alpha = 0.0f;
	m_disp = 0.0f;
	m_ksat = 0.0f;
	m_nel = 0;
	m_ro = 0.0f;
	m_thr = 0.0f;
	m_ths = 0.0f;
	m_wn = 0.0f;
	m_z1 = 0.0f;
	m_z2 = 0.0f;
	m_initp = 0.0f;
	m_kd = 0.0f;
	m_nf = 0.0f;
	m_initc = 0.0f;
	//}}AFX_DATA_INIT
	textok.Empty();textcan.Empty();
}


void CLayerAdd::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLayerAdd)
	DDX_Control(pDX, IDCANCEL, m_can);
	DDX_Control(pDX, IDOK, m_ok);
	DDX_Text(pDX, IDC_ALPHA, m_alpha);
	DDX_Text(pDX, IDC_DISP, m_disp);
	DDX_Text(pDX, IDC_KSAT, m_ksat);
	DDX_Text(pDX, IDC_NELEM, m_nel);
	DDX_Text(pDX, IDC_RO, m_ro);
	DDX_Text(pDX, IDC_THR, m_thr);
	DDX_Text(pDX, IDC_THS, m_ths);
	DDX_Text(pDX, IDC_WN, m_wn);
	DDX_Text(pDX, IDC_Z1, m_z1);
	DDX_Text(pDX, IDC_Z2, m_z2);
	DDX_Text(pDX, IDC_INITP, m_initp);
	DDX_Text(pDX, IDC_KD, m_kd);
	DDX_Text(pDX, IDC_NF, m_nf);
	DDX_Text(pDX, IDC_INITC, m_initc);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLayerAdd, CDialog)
	//{{AFX_MSG_MAP(CLayerAdd)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLayerAdd message handlers

BOOL CLayerAdd::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	if (!textok.IsEmpty()) m_ok.SetWindowText(textok);	
	if (!textcan.IsEmpty()) m_can.SetWindowText(textcan);	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
